CStringLiteral.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <string>`
`#include "CLiteralCodes.h"`

Go to the source code of this file.

## Classes

class | polybori::CStringLiteral< LitCode >
| This template class defines string literals corresponding to the codes enumerated in the class CLiteralCodes. More...

## Namespaces

| polybori

## Macros

#define | GENERATE_CSTRINGLITERAL(CODE, STRING)

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-07-04

This file contains a template class for accessing predefined string literals.

Copyright:
  (c) 2006 by The PolyBoRi Team

## Macro Definition Documentation

#define GENERATE_CSTRINGLITERAL | ( |  | CODE,
|  |  | STRING
| ) |  |

Value:
template <> inline CStringLiteral<>::literal_type \
CStringLiteral<CLiteralCodes::CODE>::operator()() const{ return STRING; }